Subject: Re: What's cooking in git.git (Jun 2016, #05; Thu, 16)

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Jun 2016 11:13:46 -0700

Lars Schneider <[email-masked]> writes:

> This seems to fix the issue:
>
> --- a/git-p4.py
> +++ b/git-p4.py
> @@ -2274,7 +2274,7 @@ class P4Sync(Command, P4UserMap):
>          self.useClientSpec_from_options = False
>          self.clientSpecDirs = None
>          self.tempBranches = []
> -        self.tempBranchLocation = "git-p4-tmp"
> +        self.tempBranchLocation = "refs/heads/git-p4-tmp"
>          self.largeFileSystem = None
>  
>          if gitConfig('git-p4.largeFileSystem'):

Anywhere in refs/ would be OK, but don't you need to adjust the
test, too?

Even though I do not use git-p4, I'd imagine that I would be upset
if temporary refs that are used only during sync contaminated the
set of local branches I have, if I were a user of git-p4.  Would it
make sense to use "refs/git-p4-tmp" or something instead?